Delete Broadcast

Delete a broadcast by ID. Only broadcasts in draft status can be deleted.

DELETE/broadcasts/{broadcast_id}

Requires a full_access API key.

Path Parameters

broadcast_idstringrequired

The ID of the broadcast to delete.

Response Fields

objectstring

Always "broadcast".

idstring

The broadcast ID.

deletedboolean

Always true.

curl -X DELETE 'https://api.postflare.app/broadcasts/d4e5f6a7-b8c9-0123-defa-234567890123' \
  -H 'Authorization: Bearer re_xxxxxxxxx'
const response = await fetch(
  'https://api.postflare.app/broadcasts/d4e5f6a7-b8c9-0123-defa-234567890123',
  {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer re_xxxxxxxxx',
    },
  }
);

const data = await response.json();

Response

Response
{
  "object": "broadcast",
  "id": "d4e5f6a7-b8c9-0123-defa-234567890123",
  "deleted": true
}